## SwamiControlHub SwamiControlHub |

## Synopsis

                        SwamiControlHub;
    SwamiControlHub *   swami_control_hub_new               (void);

## Object Hierarchy

      GObject
       +----SwamiLock
             +----SwamiControl
                   +----SwamiControlHub

## Description

## Details

### SwamiControlHub

    typedef struct _SwamiControlHub SwamiControlHub;

### swami_control_hub_new ()

    SwamiControlHub *   swami_control_hub_new               (void);

Create a new control hub. Control hubes re-transmit any events they receive and are useful for connecting many controls together.

Returns : | New control hub with a refcount of 1 which the caller owns.